@package	at.dms.kjc
@vocabulary	Kjc

@literal	abstract
@literal	boolean
@literal	break
@literal	byte
@literal	case
@literal	catch
@literal	char
@literal	class
@literal	const
@literal	continue
@literal	default
@literal	do
@literal	double
@literal	else
@literal	extends
@literal	false
@literal	final
@literal	finally
@literal	float
@literal	for
@literal	goto
@literal	if
@literal	implements
@literal	import
@literal	instanceof
@literal	int
@literal	interface
@literal	long
@literal	native
@literal	new
@literal	null
@literal	package
@literal	private
@literal	protected
@literal	public
@literal	return
@literal	short
@literal	static
@literal	strictfp
@literal	super
@literal	switch
@literal	synchronized
@literal	this
// @literal	threadsafe
@literal	throw
@literal	throws
@literal	transient
@literal	true
@literal	try
@literal	void
@literal	volatile
@literal	while

@token		ASSIGN	"'='"
@token		BAND	"'&'"
@token		BAND_ASSIGN	"'&='"
@token		BNOT	"'~'"
@token		BOR	"'|'"
@token		BOR_ASSIGN	"'|='"
@token		BSR	"'>>>'"
@token		BSR_ASSIGN	"'>>>='"
@token		BXOR	"'^'"
@token		BXOR_ASSIGN	"'^='"
@token		COLON	"':'"
@token		COMMA	"','"
@token		DEC	"'--'"
@token		DOT	"'.'"
@token		EQUAL	"'=='"
@token		GE	"'>='"
@token		GT	"'>'"
@token		INC	"'++'"
@token		LAND	"'&&'"
@token		LBRACK	"'['"
@token		LCURLY	"'{'"
@token		LE	"'<='"
@token		LNOT	"'!'"
@token		LOR	"'||'"
@token		LPAREN	"'('"
@token		LT	"'<'"
@token		MINUS	"'-'"
@token		MINUS_ASSIGN	"'-='"
@token		NOT_EQUAL	"'!='"
@token		PERCENT	"'%'"
@token		PERCENT_ASSIGN	"'%='"
@token		PLUS	"'+'"
@token		PLUS_ASSIGN	"'+='"
@token		QUESTION	"'?'"
@token		RBRACK	"']'"
@token		RCURLY	"'}'"
@token		RPAREN	"')'"
@token		SEMI	"';'"
@token		SL	"'<<'"
@token		SLASH	"'/'"
@token		SLASH_ASSIGN	"'/='"
@token		SL_ASSIGN	"'<<='"
@token		SR	"'>>'"
@token		SR_ASSIGN	"'>>='"
@token		STAR	"'*'"
@token		STAR_ASSIGN	"'*='"

@token		CHARACTER_LITERAL	"a character literal (inside simple quote)"
@token		IDENT	"an identifier"
@token		INTEGER_LITERAL	"an integer literal"
@token		REAL_LITERAL "a real literal"
@token		STRING_LITERAL	"a string literal (inside double quote)"
