#!/bin/bash

source ../settings

FILES=`echo src/at/dms/optgen/*.java`
JAR=kopi-optgen.jar
NAME="at.dms.optgen"

rm -rf classes/at
( $COMPILER -d classes \
       -classpath src:../libs/gnugetopt.jar:../libs/antlr.jar:../util/jars/kopi-util.jar:$JIKESPATH \
       $FILES \
  && echo "Compilation of $NAME finished." \
  && jar cmf0 jars/manifest jars/$JAR -C classes at \
  && echo "Jar file $JAR created.") 2>&1
